- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
LotusStyleManagerInternal::FormatStyle Struct Reference

small struct used to defined format style More...

## Public Member Functions
| FormatStyle ()
| constructor More...

## Public Attributes
std::string | m_prefix
| the prefix More...
std::string | m_suffix
| the suffix More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, FormatStyle const &format)
| operator<< More...

## Detailed Description

small struct used to defined format style

## Constructor & Destructor Documentation

LotusStyleManagerInternal::FormatStyle::FormatStyle | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | FormatStyle const & | format
| ) |  |
| friend

operator<<

## Member Data Documentation

std::string LotusStyleManagerInternal::FormatStyle::m_extra

extra data

Referenced by LotusStyleManager::readFormatStyle().

std::string LotusStyleManagerInternal::FormatStyle::m_prefix

the prefix

Referenced by LotusStyleManager::readFormatStyle().

std::string LotusStyleManagerInternal::FormatStyle::m_suffix

the suffix

Referenced by LotusStyleManager::readFormatStyle().

The documentation for this struct was generated from the following file:

- LotusStyleManager.cpp